Index: tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionLink.java
===================================================================
--- tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionLink.java	(revision 2261)
+++ tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionLink.java	(revision 2262)
@@ -6,7 +6,11 @@
 import org.eclipse.swt.browser.BrowserFunction;
 import org.txm.edition.rcp.handlers.BackToText;
 import org.txm.edition.rcp.messages.EditionUIMessages;
-
+/**
+ * Browser Javascript method to open a TXM edition given 1 to 4 parameters : corpusid, editionid, textid, wordid
+ * @author mdecorde
+ *
+ */
 public class EditionLink extends BrowserFunction {
 
 	String data = ""; //$NON-NLS-1$
Index: tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SynopticEditionEditor.java
===================================================================
--- tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SynopticEditionEditor.java	(revision 2261)
+++ tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SynopticEditionEditor.java	(revision 2262)
@@ -359,7 +359,7 @@
 //		annotationWidgetsArea = new GLComposite(getBetweenTopToolbarsAndResultComposite(), SWT.NONE, "Edition annotation area");
 //		this.annotationWidgetsArea.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, false));
 
-	//	supplementaryButtonToolbar = new TXMEditorToolBar(this, getTopToolbarContainer(), annotationWidgetsArea, SWT.NONE, "annotation urs");
+		//supplementaryButtonToolbar = new TXMEditorToolBar(this, getTopToolbarContainer(), annotationWidgetsArea, SWT.NONE, "annotation urs");
 		
 		// Edition names label
 		editionsChooser = new Button(controlsArea, SWT.PUSH);
@@ -382,7 +382,9 @@
 						if (d.open() == Window.OK) {
 							Object[] rez = d.getResult();
 							editionNames = new ArrayList<String>();
-							for(int i = 0 ; i < rez.length ; i++) editionNames.add(rez[i].toString());
+							for (int i = 0 ; i < rez.length ; i++) {
+								editionNames.add(rez[i].toString());
+							}
 							
 							editionsChooser.setText(StringUtils.join(editionNames, " | ")); //$NON-NLS-1$
 							openEditions(text, editionNames);
@@ -469,7 +471,6 @@
 //		previous.setLayoutData(buttonGridData);
 
 		// set sizes
-
 		GridData gdata = new GridData(GridData.END,GridData.CENTER, false, false);
 		gdata.minimumWidth = 25;
 		gdata.widthHint = 25;
@@ -526,7 +527,9 @@
 			@Override
 			public void keyReleased(KeyEvent e) {
 				if (e.keyCode == SWT.CR || e.keyCode == SWT.KEYPAD_CR) {
-					if (identifiantComboAutoCompleteField.isOpen()) return; // ignore keys when content assist is opened
+					if (identifiantComboAutoCompleteField.isOpen()) {
+						return; // ignore keys when content assist is opened
+					}
 					
 					goToText(text_text.getText());
 				} else if (e.keyCode == SWT.ARROW_DOWN) {
@@ -542,7 +545,9 @@
 		text_text.addMouseWheelListener(new MouseWheelListener() {
 			@Override
 			public void mouseScrolled(MouseEvent e) {
-				if (identifiantComboAutoCompleteField.isOpen()) return;
+				if (identifiantComboAutoCompleteField.isOpen()) {
+					return;
+				}
 
 				if (e.count > 0) {
 					previousText(false);
@@ -653,7 +658,6 @@
 				firstPage();
 			}
 		} catch (Exception e1) {
-			// TODO Auto-generated catch block
 			e1.printStackTrace();
 		}
 	}
@@ -674,12 +678,18 @@
 	private void updatePageLabel() {
 		for (EditionPanel p : editionPanels.values()) {
 			Page cpage = p.getCurrentPage();
-			if (cpage == null) continue;
+			if (cpage == null) {
+				continue;
+			}
 			Edition e = cpage.getEdition();
-			if (e == null) continue;
+			if (e == null) {
+				continue;
+			}
 			this.setPartName(e.getText().getName()+ " - "+cpage.getName()); //$NON-NLS-1$
 			
-			if (page_text.isDisposed()) continue;
+			if (page_text.isDisposed()) {
+				continue;
+			}
 			page_text.setText(cpage.getName());
 			page_label.setText(" / "+e.getNumPages()); //$NON-NLS-1$
 			
@@ -777,8 +787,7 @@
 	}
 
 	@Override
-	public void init(IEditorSite site, IEditorInput input)
-			throws PartInitException {
+	public void init(IEditorSite site, IEditorInput input) throws PartInitException {
 		
 		corpus = ((SynopticEditorInput) input).getCorpus(); // corpus focused when opening the editions
 		corpus.compute(false);
@@ -813,10 +822,8 @@
 			updateWordStyles();
 			notifyExtensions("onBackToText"); //$NON-NLS-1$
 		} catch (Exception e) {
-			// TODO Auto-generated catch block
 			e.printStackTrace();
 		}
-		
 	}
 
 	public void reloadPage() {
@@ -830,7 +837,9 @@
 		String sel = null;
 		for (EditionPanel p : editionPanels.values()) {
 			sel = p.getTextSelection();
-			if (sel != null) return sel;
+			if (sel != null) {
+				return sel;
+			}
 		}
 		return EditionUIMessages.CommandLink_empty;
 	}
@@ -839,7 +848,6 @@
 	public CQPCorpus getCorpus() {
 		return corpus;
 	}
-	
 
 	public CQPCorpus getMainCorpus() {
 		return mainCorpus;
@@ -848,7 +856,9 @@
 	public EditionPanel getEditionPanel(int i) {
 		int n = 0;
 		for (EditionPanel p : editionPanels.values()) {
-			if (n == i) return p;
+			if (n == i) {
+				return p;
+			}
 		}
 		return null;
 	}
@@ -882,9 +892,9 @@
 	}
 
 	/**
-	 *  NOT DONE
+	 * TODO finish implementation in EditionPanel
 	 *  
-	 * @param pos
+	 * @param posisions
 	 */
 	public void setHighlightedArea(HashSet<int[]> positions) {
 		for (EditionPanel p : editionPanels.values()) {
@@ -933,16 +943,11 @@
 		this.firstPage();
 	}
 	
-	// Called by JavaScript
-	
-
 	/**
 	 * Browser command that opens an edition
 	 * @author mdecorde
 	 *
 	 */
-	
-	
 	public static Object callTXMCommand(String id, HashMap<String, String> params) {
 		IWorkbenchWindow window = PlatformUI.getWorkbench().getActiveWorkbenchWindow();
 		ICommandService cmdService = (ICommandService)window.getService(ICommandService.class);
@@ -984,7 +989,7 @@
 	 */
 	public static Object callTXMCommand(Object[] arguments) {
 		HashMap<String, String> params = new HashMap<String, String>();
-		for (int i = 0 ; i < arguments.length ; i += 2) {
+		for (int i = 0 ; i+1 < arguments.length ; i += 2) {
 			params.put(arguments[i].toString(), arguments[i+1].toString());
 		}
 
